﻿-- 本文件一定要和数据库同步更新！！！！！！！
drop table if exists tb_check_rule_config;
-- 考核配置项目，2020年7个考核rule规则
create table if not exists tb_check_rule_config
(
    id          bigserial primary key not null,
    create_time timestamp             not null default now(),
    update_time timestamp             not null default now(),
    rule_name   varchar               not null,
    rule_detail text                  not null default '自建基础分数+自建超标分数+整合基础分数+整合超标分数',
    监控点数量自建基础分数      decimal               not null default 0.2,
    监控点数量整合基础分数      decimal               not null default 0.08,
    监控点数量自建第一梯队达标数量  int                not null default 2800,
    监控点数量自建第二梯队达标数量  int                not null default 1900,
    监控点数量自建第三梯队达标数量  int                not null default 650,
    监控点数量整合第一梯队达标数量  int                not null default 9500,
    监控点数量整合第二梯队达标数量  int                not null default 3800,
    监控点数量整合第三梯队达标数量  int                not null default 1500,
    监控点数量自建超标分数      decimal               not null default 0.15,
    监控点数量整合超标分数      decimal               not null default 0.07,
    监控点数量自建第一梯队超标附加分 decimal                        default 0.01 not null,--每百分之10加的分数
    监控点数量自建第二梯队超标附加分 decimal                        default 0.01 not null,
    监控点数量自建第三梯队超标附加分 decimal                        default 0.01 not null,
    监控点数量整合第一梯队超标附加分 decimal                        default 0.01 not null,
    监控点数量整合第二梯队超标附加分 decimal                        default 0.01 not null,
    监控点数量整合第三梯队超标附加分 decimal                        default 0.01 not null,

    卡口数量人脸基础分数      decimal               not null default 0.15,
    卡口数量车辆基础分数      decimal               not null default 0.15,
    卡口数量人脸第一梯队达标数量  int                not null default 370,
    卡口数量人脸第二梯队达标数量  int                not null default 260,
    卡口数量人脸第三梯队达标数量  int                not null default 150,
    卡口数量车辆第一梯队达标数量  int                not null default 370,
    卡口数量车辆第二梯队达标数量  int                not null default 260,
    卡口数量车辆第三梯队达标数量  int                not null default 150,
    卡口数量人脸超标分数      decimal               not null default 0.1,
    卡口数量车辆超标分数      decimal               not null default 0.1,
    卡口数量人脸第一梯队超标附加分 decimal                        default 0.01 not null,--每百分之10加的分数
    卡口数量人脸第二梯队超标附加分 decimal                        default 0.01 not null,
    卡口数量人脸第三梯队超标附加分 decimal                        default 0.01 not null,
    卡口数量车辆第一梯队超标附加分 decimal                        default 0.01 not null,
    卡口数量车辆第二梯队超标附加分 decimal                        default 0.01 not null,
    卡口数量车辆第三梯队超标附加分 decimal                        default 0.01 not null,

    监控点在线率总分      decimal               not null default 0.5,
    监控点在线率自建监控点分数权重      decimal               not null default 0.4,
    监控点在线率整合监控点分数权重      decimal               not null default 0.1,

    卡口在线率总分      decimal               not null default 0.5,
    卡口在线率人脸卡口分数权重      decimal               not null default 0.25,
    卡口在线率车辆卡口分数权重      decimal               not null default 0.25,

    建档总分      decimal               not null default 0.5,
    建档自建监控点分数权重      decimal               not null default 0.4,
    建档整合监控点分数权重      decimal               not null default 0.1,

    视图库人脸基础分数      decimal               not null default 0.15,
    视图库车辆基础分数      decimal               not null default 0.15,
    视图库人脸扣分规则小时    int                   not null default 12,
    视图库人脸扣分规则分数    decimal               not null default 0.02,
    视图库车辆扣分规则小时    int                   not null default 12,
    视图库车辆扣分规则分数    decimal               not null default 0.02,
    视图库人脸统计开始时间日   int                   not null default 15,
    视图库人脸统计结束时间日   Int                   not null default 15,
    视图库车辆统计开始时间日   int                   not null default 15,
    视图库车辆统计结束时间日   int                   not null default 15,

    视频质量基础分数    decimal               not null default 0.5,
    视频质量扣分规则小时  int                   not null default 48,
    视频质量扣分规则分数  decimal               not null default 0.02,
    视频质量考核项目    text                  not null default '图像模糊,图像偏色'
);