package com.github.jchanghong

import org.gradle.api.Project

internal fun setRepositories(project: Project, myExtension: JchPluginExtension) {
    log2("setRepositories() https://maven.aliyun.com/repository/public", project, true)
    project.repositories.maven {
        it.setUrl("https://maven.aliyun.com/repository/public")
        it.content {
            it.excludeGroupByRegex("""com\.hikvision.*""")
            it.excludeGroupByRegex("""com\.hik.*""")
            it.excludeGroupByRegex("""com\.pbg.*""")
            it.excludeGroupByRegex("""crypt.*""")
            it.excludeGroupByRegex("""vision\.apollo.*""")
            it.excludeGroupByRegex("""jef.*""")
        }
    }
    project.repositories.mavenLocal()
    project.repositories.jcenter()
    project.repositories.maven {
        it.setUrl("http://af.hikvision.com.cn:80/artifactory/maven-down/")
    }
}