#!/bin/bash
SERVICE_NAME=$1
echo $SERVICE_NAME
CUR_DIR=$(cd `dirname $0`; pwd)
HOME="${CUR_DIR}/../../"
echo $HOME
chmod 777 -R $HOME

START_PATH="$CUR_DIR/start.sh"
STOP_PATH="$CUR_DIR/stop.sh"
JDK_HOME="$HIK_JDK_PATH"

sed -i "s%START_PATH%$START_PATH%g" $CUR_DIR/service
sed -i "s%STOP_PATH%$STOP_PATH%g" $CUR_DIR/service
sed -i "s%JDK_HOME%$JDK_HOME%g" $CUR_DIR/service

cp -rf $CUR_DIR/service /usr/lib/systemd/system/${SERVICE_NAME}.service

echo componentname webservice.jar is is add to service and setup to boot up

systemctl daemon-reload
systemctl enable ${SERVICE_NAME}.service
systemctl start ${SERVICE_NAME}.service

if [ $? -eq 0 ]; then
    echo componentname webservice.jar is install success
    exit 0
else
    echo componentname webservice.jar is install fail
    exit 1
fi