#!/bin/bash
CUR_DIR=$(cd `dirname $0`; pwd)
#delete service
SERVICE_NAME=$1
PROXY_FILE="/usr/lib/systemd/system/${SERVICE_NAME}.service"

if [ ! -f $PROXY_FILE ]; then
    echo componentname webservice.jar file is not exist in /usr/lib/systemd/system
else
    chkconfig --del $SERVICE_NAME
    rm -rf /etc/rc.d/init.d/$SERVICE_NAME
    echo componentname webservice.jar is deleted from service
fi

exit 0

