#!/bin/bash
CUR_DIR=$(cd `dirname $0`; pwd)
# 得到组件目录
HOME="${CUR_DIR}/../../"
CONFIG_PATH=${HOME}/conf/config.properties
# $1：运管安装传递进来的参数
JAVA="$1/bin/java"
SERVICE_JAR_PATH="$HOME/bin/webservice/webservice.jar"
echo $JAVA
echo $SERVICE_JAR_PATH

$JAVA -jar -Xms2024M -Xmx20048M $SERVICE_JAR_PATH &

if [ $? -eq 0 ]; then
    echo componentname webservice.jar is start success
    exit 0
else
    echo componentname webservice.jar is stop fail
    exit 1
fi
